Simpler Navigation coming for Servers and Operating Systems
Coming soon: a much simpler Servers and Operating Systems section of the Community. We will combine many of the older boards, and you won't have to click through so many levels to get at the information you need. If you are looking for an older board and do not find it, check the consolidated boards, as the posts are still there.
cancel
Showing results for 
Search instead for 
Did you mean: 

RHEL5+php instalaltion

Karthik_sg
Frequent Advisor

RHEL5+php instalaltion

Hi all,
did any of u install php on rhel5.i an having a tuff time to install it.i have installed the following packages.

php-4.3.9-3.1
php-pear-4.3.9-3.1
php-mysql-4.3.9-3.1 and when i restart httpd i get the following error message
[root@localhost init.d]# ./httpd start
Starting httpd: httpd: Syntax error on line 209 of /etc/httpd/conf/httpd.conf: Syntax error on line 6 of /etc/httpd/conf.d/php.conf: API module structure `php4_module' in file /etc/httpd/modules/libphp4.so is garbled - perhaps this is not an Apache module DSO?
[FAILED]


can any of u tel me how to go about this.thanks in advance.
8 REPLIES
Ivan Ferreira
Honored Contributor

Re: RHEL5+php instalaltion

Are these packets from Red Hat Network or the Red Hat Installation media?

Can you run

rpm -V php php-pear php-mysql
Por que hacerlo dificil si es posible hacerlo facil? - Why do it the hard way, when you can do it the easy way?
palaniappan.sp
Regular Advisor

Re: RHEL5+php instalaltion

Hi,
Did u try with PHP version 5 (PHP5), becaz it might be php4 will not support sometimes.Ensure all the dependencies RPM for PHP5 are installed.
If u configure yum in RHEL, it will be better for you to install the RPMs or u have to connect to RHN for packaging updation.

Redgs
palani

Everything is Possible and Anything is Feasible if u try
Karthik_sg
Frequent Advisor

Re: RHEL5+php instalaltion

hi all,
i tried with php version 5 but still i am getting the same error.help will be appriciated.
palaniappan.sp
Regular Advisor

Re: RHEL5+php instalaltion

Hi Karthick,
I hope this link will be helpful for ur troubleshooting.

http://www.mjmwired.net/linux/2005/10/23/php4-rpms-for-fedora-core-4/

As per above your inputs, the php has been installed successfully but its not supporting the apache modules.
Did u tried with some other versions of httpd and PHP..
And also have a try with Cent OS 4 or CentOS 5 which will be helpful for analysis.


Regds
Palani.
Everything is Possible and Anything is Feasible if u try
Karthik_sg
Frequent Advisor

Re: RHEL5+php instalaltion

Hi all,
i have tried uninstalling httpd 2.2 and had installed an older version of httpd2.0 andit has this dependency libapr0-2.0.54-10.11.i586.rpm.
Now when i instal lib** and apache i get this new error when i start httpd
Starting httpd: /usr/sbin/httpd: symbol lookup error: /usr/lib/libaprutil-0.so.0: undefined symbol: gdbm_errno
[FAILED]
Any ideas.
Steven E. Protter
Exalted Contributor

Re: RHEL5+php instalaltion

Shalom,

The httpd server integration on RH 5 is with PHP 5.

The thing to do is remove those packages and the PHP 5 packages which have probably been damaged. Then use yum -y install php*

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Karthik_sg
Frequent Advisor

Re: RHEL5+php instalaltion

all,
thanks for ur replies.But the final conclusion is that httpd2.2**** wont support php installation.My colleague had notified me about this.and also some one else has raised this bug.
Thanks.
Karthik_sg
Frequent Advisor

Re: RHEL5+php instalaltion

Thanks.